APIs / Google Local / Search

Google Local: Search

Search from Google Local as JSON. 1 credit per successful call.

GET /v1/google-local/search

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
querystringRequiredUp to 2,000 characters
hlstringRequiredUp to 2 characters
glstringRequiredUp to 2 characters
locationstringOptionalUp to 500 characters
google_domainstringOptionalUp to 50 characters
startintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/google-local/search?query=coffee&hl=en&gl=us" \
  -H "X-API-Key: $API_KEY"